summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authornatemaia2018-03-06 03:35:14 -0800
committernatemaia2018-03-06 03:35:14 -0800
commitfe25b5bdbe327578b5edda93b8e9c358223716b6 (patch)
tree890c2093921609708d20c9b2a5765a86f54e83ee
parent61b5ae328a8037bdcb827c7634a275c16dddc07c (diff)
downloadaur-fe25b5bdbe327578b5edda93b8e9c358223716b6.tar.gz
Update version to 0.5.24 from upstream
-rwxr-xr-x.SRCINFO8
-rwxr-xr-xPKGBUILD27
2 files changed, 17 insertions, 18 deletions
diff --git a/.SRCINFO b/.SRCINFO
index b6762ff9945..b2b81b30af1 100755
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = kickshaw
- pkgdesc = A menu editor for openbox
- pkgver = 0.5.23
+ pkgdesc = A menu editor for freedesktop standard menus
+ pkgver = 0.5.24
pkgrel = 1
url = https://github.com/natemaia/kickshaw
arch = x86_64
@@ -8,8 +8,8 @@ pkgbase = kickshaw
makedepends = gtk3
makedepends = gcc
depends = gtk3
- source = https://github.com/natemaia/kickshaw/raw/master/source.tar.gz
- sha256sums = 258e7359c8e280133fddadee92bfa5333c7d7f2125de295f454a0a91ec8ba3fb
+ source = https://github.com/natemaia/kickshaw/archive/0.5.24.tar.gz
+ sha256sums = e47edbf0d77d7a97ce970cb7e3a14a6276b7d510a5cd2e9ac76d070c9c261fbc
pkgname = kickshaw
diff --git a/PKGBUILD b/PKGBUILD
index 94260d5c85e..fd0f870671d 100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,31 +1,30 @@
# Maintainer: Nathaniel Maia <natemaia10@gmail.com>
# Contributor: Marcus Shaetzle
# Contributor: Eric Vidal <eric@obarun.org>
-
pkgname=kickshaw
-pkgver=0.5.23
+pkgver=0.5.24
pkgrel=1
-pkgdesc='A menu editor for openbox'
+pkgdesc='A menu editor for freedesktop standard menus'
url='https://github.com/natemaia/kickshaw'
arch=('x86_64')
-sha256sums=('258e7359c8e280133fddadee92bfa5333c7d7f2125de295f454a0a91ec8ba3fb')
+sha256sums=('e47edbf0d77d7a97ce970cb7e3a14a6276b7d510a5cd2e9ac76d070c9c261fbc')
license=('GPL2')
-source=("$url/raw/master/source.tar.gz")
+source=("$url/archive/$pkgver.tar.gz")
makedepends=('gtk3' 'gcc')
depends=('gtk3')
build() {
- cd source/
- make
+ cd "kickshaw-$pkgver/source" || exit
+ make
}
package() {
- cd source/
- install -Dm755 kickshaw "$pkgdir/usr/bin/kickshaw"
- install -Dm644 kickshaw.desktop "$pkgdir/usr/share/applications/kickshaw.desktop"
+ cd "kickshaw-$pkgver/source" || exit
+ install -Dm755 kickshaw "$pkgdir/usr/bin/kickshaw"
+ install -Dm644 kickshaw.desktop "$pkgdir/usr/share/applications/kickshaw.desktop"
- # license , copying readme in license directory for provide author
- cd ../
- install -Dm644 README.md "$pkgdir/usr/share/licenses/kickshaw/README.md"
- install -Dm644 COPYING "$pkgdir/usr/share/licenses/kickshaw/COPYING"
+ # COPYING & README in license directory
+ cd ../ || exit
+ install -Dm644 README.md "$pkgdir/usr/share/licenses/kickshaw/README.md"
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/kickshaw/COPYING"
}